#
# spec file for package python-sshpubkeys
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-sshpubkeys
Version:        3.3.1
Release:        2.4
Summary:        SSH public key parser
License:        BSD-3-Clause
URL:            https://github.com/ojarva/python-sshpubkeys
Source:         https://github.com/ojarva/python-sshpubkeys/archive/%{version}.tar.gz
BuildRequires:  %{python_module cryptography >= 3.2}
BuildRequires:  %{python_module ecdsa >= 0.13.3}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-cryptography >= 3.2
Requires:       python-ecdsa >= 0.13.3
BuildArch:      noarch
%python_subpackages

%description
OpenSSH Public Key Parser for Python

%prep
%setup -q -n python-sshpubkeys-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pyunittest discover -v

%files %{python_files}
%doc README.rst
%license LICENSE.txt
%{python_sitelib}/*

%changelog
* Tue Jun 13 2023 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Fri Sep 10 2021 pgajdos@suse.com
- version update to 3.3.1
  3.3.1
  Revert changes breaking python 3.5.
  3.3.0
  Python 3 only
  3.2.1
  Maintenance release
  3.2.0
  Multiple small changes and new features
* Wed Oct 16 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to SUSE style specfile
* Thu Jan 10 2019 Jordi Fita <jfita@infoblitz.com>
- Version 3.1.0
